Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.content
Interface IContent

All Superinterfaces:
  org.eclipse.birt.report.engine.css.engine.CSSStylableElement, IElement, IStyledElement

All Known Subinterfaces:
  IAutoTextContent, IBandContent, ICellContent, IContainerContent, IDataContent, IForeignContent, IGroupContent, IImageContent, ILabelContent, IListBandContent, IListContent, IListGroupContent, IPageContent, IRowContent, ITableBandContent, ITableContent, ITableGroupContent, ITextContent

    public interface IContent

extends IElement, org.eclipse.birt.report.engine.css.engine.CSSStylableElement, IStyledElement

object created by report generator. the content of report document.

Field Summary
`static int` | `AUTOTEXT_CONTENT`
`static int` | `CELL_CONTENT`
`static int` | `CONTAINER_CONTENT`
`static int` | `DATA_CONTENT`
`static int` | `DOCUMENT_EXTENSION`
`static int` | `FOREIGN_CONTENT`
`static int` | `GROUP_CONTENT`
`static int` | `IMAGE_CONTENT`
`static int` | `LABEL_CONTENT`
`static int` | `LAYOUT_EXTENSION`
`static int` | `LIST_BAND_CONTENT`
`static int` | `LIST_CONTENT`
`static int` | `LIST_GROUP_CONTENT`
`static int` | `PAGE_CONTENT`
`static int` | `ROW_CONTENT`
`static int` | `SERIALIZE_CONTENT`
`static int` | `TABLE_BAND_CONTENT`
`static int` | `TABLE_CONTENT`
`static int` | `TABLE_GROUP_CONTENT`
`static int` | `TEXT_CONTENT`

Method Summary
`java.lang.Object` | `accept(IContentVisitor visitor, java.lang.Object value)` use visitor to process the object.
`IContent` | `cloneContent(boolean isDeep)`
`java.lang.String` | `getACL()`
`java.lang.String` | `getBookmark()`
`int` | `getContentType()` the content type, must be one of the predefines.
`java.lang.Object` | `getExtension(int extension)`
`java.lang.Object` | `getGenerateBy()` the design object which create this content.
`org.eclipse.birt.report.engine.ir.DimensionType` | `getHeight()` sepcified value, the actual height is defined in IBounds
`java.lang.String` | `getHelpText()`
`IHyperlinkAction` | `getHyperlinkAction()`
`IStyle` | `getInlineStyle()`
`InstanceID` | `getInstanceID()` get the instance id of the content.
`java.lang.String` | `getName()` unique id of the content.
`IReportContent` | `getReportContent()` return the report which contains/create this content.
`IBaseResultSet` | `getResultSet()`
`java.lang.Object` | `getTOC()`
`org.eclipse.birt.report.engine.ir.DimensionType` | `getWidth()` specified value, the real value is defined in IBounds
`org.eclipse.birt.report.engine.ir.DimensionType` | `getX()` specified value, the real value is defined in IBounds
`org.eclipse.birt.report.engine.ir.DimensionType` | `getY()` specified value, the real value is defined in IBounds
`boolean` | `isDirectionRTL()`
`boolean` | `isRTL()`
`void` | `readContent(java.io.DataInputStream in, java.lang.ClassLoader loader)`
`void` | `setACL(java.lang.String acl)`
`void` | `setBookmark(java.lang.String bookmark)`
`void` | `setExtension(int extension, java.lang.Object value)` Set the extension of the content.
`void` | `setGenerateBy(java.lang.Object generateBy)`
`void` | `setHeight(org.eclipse.birt.report.engine.ir.DimensionType height)`
`void` | `setHelpText(java.lang.String help)`
`void` | `setHyperlinkAction(IHyperlinkAction hyperlink)`
`void` | `setInlineStyle(IStyle style)`
`void` | `setInstanceID(InstanceID id)` set the instace id of the content.
`void` | `setName(java.lang.String name)`
`void` | `setReportContent(IReportContent report)` set the report content.
`void` | `setTOC(java.lang.Object toc)`
`void` | `setWidth(org.eclipse.birt.report.engine.ir.DimensionType width)`
`void` | `setX(org.eclipse.birt.report.engine.ir.DimensionType x)`
`void` | `setY(org.eclipse.birt.report.engine.ir.DimensionType y)`
`void` | `writeContent(java.io.DataOutputStream out)`

Methods inherited from interface org.eclipse.birt.report.engine.css.engine.CSSStylableElement
`getComputedStyle, getCSSEngine, getStyle`

Methods inherited from interface org.eclipse.birt.report.engine.content.IStyledElement
`getComputedStyle, getStyle, getStyleClass, setStyleClass`

Field Detail

### SERIALIZE_CONTENT

    static final int SERIALIZE_CONTENT

See Also:
  Constant Field Values

### CELL_CONTENT

    static final int CELL_CONTENT

See Also:
  Constant Field Values

### CONTAINER_CONTENT

    static final int CONTAINER_CONTENT

See Also:
  Constant Field Values

### DATA_CONTENT

    static final int DATA_CONTENT

See Also:
  Constant Field Values

### FOREIGN_CONTENT

    static final int FOREIGN_CONTENT

See Also:
  Constant Field Values

### IMAGE_CONTENT

    static final int IMAGE_CONTENT

See Also:
  Constant Field Values

### LABEL_CONTENT

    static final int LABEL_CONTENT

See Also:
  Constant Field Values

### PAGE_CONTENT

    static final int PAGE_CONTENT

See Also:
  Constant Field Values

### ROW_CONTENT

    static final int ROW_CONTENT

See Also:
  Constant Field Values

### TABLE_BAND_CONTENT

    static final int TABLE_BAND_CONTENT

See Also:
  Constant Field Values

### TABLE_CONTENT

    static final int TABLE_CONTENT

See Also:
  Constant Field Values

### TEXT_CONTENT

    static final int TEXT_CONTENT

See Also:
  Constant Field Values

### AUTOTEXT_CONTENT

    static final int AUTOTEXT_CONTENT

See Also:
  Constant Field Values

### LIST_CONTENT

    static final int LIST_CONTENT

See Also:
  Constant Field Values

### LIST_BAND_CONTENT

    static final int LIST_BAND_CONTENT

See Also:
  Constant Field Values

### GROUP_CONTENT

    static final int GROUP_CONTENT

See Also:
  Constant Field Values

### LIST_GROUP_CONTENT

    static final int LIST_GROUP_CONTENT

See Also:
  Constant Field Values

### TABLE_GROUP_CONTENT

    static final int TABLE_GROUP_CONTENT

See Also:
  Constant Field Values

### DOCUMENT_EXTENSION

    static final int DOCUMENT_EXTENSION

See Also:
  Constant Field Values

### LAYOUT_EXTENSION

    static final int LAYOUT_EXTENSION

See Also:
  Constant Field Values

Method Detail

### getContentType

    int getContentType()

  the content type, must be one of the predefines.

  Returns:

### getInstanceID

    InstanceID getInstanceID()

  get the instance id of the content. the instance id is the unique id of the content.

  Returns:

### setInstanceID

    void setInstanceID(InstanceID id)

  set the instace id of the content. the instance id can only be set by the content generator.

  Parameters:
    `id` -

### getExtension

    java.lang.Object getExtension(int extension)

### setExtension

    void setExtension(int extension,
                      java.lang.Object value)

  Set the extension of the content. Only 2 extension supported so far
  - 0: document extension
  - 1: layout extension

  Parameters:
    `extension` - extension type
    `value` - extension value
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException` - if index is outof range {0,1}

### getReportContent

    IReportContent getReportContent()

  return the report which contains/create this content.

  Returns:

### setReportContent

    void setReportContent(IReportContent report)

  set the report content.

  Parameters:
    `report` -

### getName

    java.lang.String getName()

  unique id of the content.

  Returns:

### setName

    void setName(java.lang.String name)

### getGenerateBy

    java.lang.Object getGenerateBy()

  the design object which create this content.

  Returns:

### setGenerateBy

    void setGenerateBy(java.lang.Object generateBy)

### getInlineStyle

    IStyle getInlineStyle()

  Returns:
    inline style

### setInlineStyle

    void setInlineStyle(IStyle style)

### accept

    java.lang.Object accept(IContentVisitor visitor,
                            java.lang.Object value)
                            throws org.eclipse.birt.core.exception.BirtException

  use visitor to process the object.

  Parameters:
    `visitor` -
  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### getBookmark

    java.lang.String getBookmark()

  Returns:
    the bookmark value

### setBookmark

    void setBookmark(java.lang.String bookmark)

### getHyperlinkAction

    IHyperlinkAction getHyperlinkAction()

  Returns:
    hyperlink actions

### setHyperlinkAction

    void setHyperlinkAction(IHyperlinkAction hyperlink)

### getHelpText

    java.lang.String getHelpText()

  Returns:
    Returns the helpText.

### setHelpText

    void setHelpText(java.lang.String help)

### getHeight

    org.eclipse.birt.report.engine.ir.DimensionType getHeight()

  sepcified value, the actual height is defined in IBounds

  Returns:
    the height of the report item

### setHeight

    void setHeight(org.eclipse.birt.report.engine.ir.DimensionType height)

### getWidth

    org.eclipse.birt.report.engine.ir.DimensionType getWidth()

  specified value, the real value is defined in IBounds

  Returns:
    the width of the report item

### setWidth

    void setWidth(org.eclipse.birt.report.engine.ir.DimensionType width)

### getX

    org.eclipse.birt.report.engine.ir.DimensionType getX()

  specified value, the real value is defined in IBounds

  Returns:
    the x position of the repor titem.

### setX

    void setX(org.eclipse.birt.report.engine.ir.DimensionType x)

### getY

    org.eclipse.birt.report.engine.ir.DimensionType getY()

  specified value, the real value is defined in IBounds

  Returns:
    Returns the y position of the repor titem.

### setY

    void setY(org.eclipse.birt.report.engine.ir.DimensionType y)

### getTOC

    java.lang.Object getTOC()

### setTOC

    void setTOC(java.lang.Object toc)

### writeContent

    void writeContent(java.io.DataOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### readContent

    void readContent(java.io.DataInputStream in,
                     java.lang.ClassLoader loader)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### cloneContent

    IContent cloneContent(boolean isDeep)

### isRTL

    boolean isRTL()

### isDirectionRTL

    boolean isDirectionRTL()

### getACL

    java.lang.String getACL()

### setACL

    void setACL(java.lang.String acl)

### getResultSet

    IBaseResultSet getResultSet()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.